Subject: bug#12895: 24.3.50; Replacement for flet

From: Antoine Levitt <[email-masked]>
Date: Fri, 16 Nov 2012 00:24:26 +0100

11/16/2012 00:05, Glenn Morris
> Antoine Levitt wrote:
>
>> I have lots of flet in my .emacs, usually to suppress messages from
>> functions which are defined elsewhere.
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12849
>
> may interest you then.

Ah, nice. But I don't want to prevent messages from going to the
*Messages* buffer, I want to prevent them from appearing in the
minibuffer. For instance, I use this to automatically save the desktop
without being bothered by it

(run-with-timer (* 10 60) (* 10 60)
                (lambda ()
                 (flet ((message (&rest args) nil))
		   (desktop-save-in-desktop-dir))))